import {request} from '../../util/api'


// 动态列表
export function articleList(query) {
    return request({
        url: '/app/open/opmArticle/queryArticleByPagination',
        data: query,
        method: 'GET',
    })
}

// 动态列表
export function userArticleList(query) {
    return request({
        url: '/app/opmArticle/queryUserArticleByPagination',
        data: query,
        method: 'GET',
    })
}

// 发表动态
export function publishArticle(data) {
    return request({
        url: '/app/opmArticle/add',
        data: data,
        method: 'POST',
    })
}

// 动态点赞
export function like(data) {
    return request({
        url: '/app/opmArticle/like?articleId='+data.articleId+'&praiseType='+data.praiseType,
        data: {},
        method: 'POST',
    })
}

// 评论点赞
export function likeComment(data) {
    return request({
        url: '/app/opmArticle/likeComment?commentId=' + data.commentId +'&praiseType='+data.praiseType,
        data: {},
        method: 'POST',
    })
}

// oss查询图片路径
export function getOssUrl(id) {
    return request({
        url: '/common/getOssUrl?businessId=' + id,
        method: 'GET',
    })
}

//查看动态详情
export function articleDetail(articleId){
    return request({
        url: '/app/open/opmArticle/detail/' + articleId,
        method: 'GET',
    })
}

//动态评论
export function comment(data) {
    return request({
        url: '/app/opmArticle/comment',
        data: data,
        method: 'POST',
    })
}

//删除动态
export function delArticle(id) {
    return request({
        url: '/app/delete/' + id,
        method: 'delete',
        headers: {}
    })
}

//删除评论
export function deleteComment(data) {
    return request({
        url: '/app/deleteComment/' + data.bussinessId,
        method: 'delete',
        data:data
    })
}